FLANG

Public Attributes | List of all members
Fortran::semantics::AllocateCheckerInfo Struct Reference

## Public Attributes
const DeclTypeSpec * | typeSpec {nullptr}
std::optional< evaluate::DynamicType > | sourceExprType
std::optional< parser::CharBlock > | sourceExprLoc
std::optional< parser::CharBlock > | typeSpecLoc
int | sourceExprRank {0}
bool | gotStat {false}
bool | gotMsg {false}
bool | gotTypeSpec {false}
bool | gotSource {false}
bool | gotMold {false}

The documentation for this struct was generated from the following file:

- lib/Semantics/check-allocate.cpp